function p = get_frac_line(V,p,frac)
%given a polygon V, a point p (either an index or a regular point), and a
%fraction frac, this computes the other point p on the boundary of the
%polygon which cuts off frac area on the left
frac = 1- frac; %did this cause of the right-left switch
A = polyarea(V(:,1),V(:,2));
if length(p) == 1
    %first, rotate the polygon so that index p is first

    if p ~= 1, V = [V(p:end,:) ; V(2:p,:)]; end;
    j = 1; S = 0; Sold = 0;
    while S < A*frac
        j = j+1;
        Sold = S;
        S = S + polyarea( V([1,j,j+1],1),V([1,j,j+1],2) );
    end

    %ok now the key point is between j and j+1 and the area is between Sold and
    %S.  So, we want a point on the triangle between j and j+1 that cuts off an
    %area A*frac - Sold

    x1 = V(1,1); y1 = V(1,2); x2 = V(j,1); y2 = V(j,2); x3 = V(j+1,1); y3 = V(j+1,2);
    t = -(-x1*y2-x2*y3+x1*y3+x2*y1+x3*y2-x3*y1+2*(A*frac - Sold) )/(x1*y2-x1*y3-x2*y1+x3*y1-x3*y2+x2*y3);
    p = [t*x2 + (1-t)*x3, t*y2 + (1-t)*y3];
else
    [V,i] = insert_vertex(V,p);
    if i ~= 1, V = [V(i:end,:) ; V(2:i,:)]; end;
    j = 1; S = 0; Sold = 0;
    while S < A*frac
        j = j+1;
        Sold = S;
        S = S + polyarea( V([1,j,j+1],1),V([1,j,j+1],2) );
    end

    %ok now the key point is between j and j+1 and the area is between Sold and
    %S.  So, we want a point on the triangle between j and j+1 that cuts off an
    %area A*frac - Sold

    x1 = V(1,1); y1 = V(1,2); x2 = V(j,1); y2 = V(j,2); x3 = V(j+1,1); y3 = V(j+1,2);
    t = -(-x1*y2-x2*y3+x1*y3+x2*y1+x3*y2-x3*y1+2*(A*frac - Sold) )/(x1*y2-x1*y3-x2*y1+x3*y1-x3*y2+x2*y3);
    p = [t*x2 + (1-t)*x3, t*y2 + (1-t)*y3];
end