function [p1,p2] = get_median_line(P,V,i);
m = size(V,1); n = size(P,1);
%gets a median line of P at the i-th convex hull point
K = convhull(P(:,1),P(:,2)); j = K(i);
P_conv = P( K , :);
difference_vectors = P([1:j-1 , j+1 : end], : ) - ones(n-1,1)*P(j,:);
v1 = P_conv(i+1,:) - P_conv(i,:);
if i == 1
    v2 = P_conv(end,:) - P_conv(end-1,:);
else
    v2 = P_conv(i,:) - P_conv(i-1,:);
end
v = (v1 + v2)/2;
[th,r] = cart2pol(v(1),v(2));
[TH,R] = cart2pol(difference_vectors(:,1),difference_vectors(:,2)); TH = mod(TH - th,2*pi);
theta = median(TH); theta = theta + th;
%the line goes out of point P_conv(i) with angle theta
q1 = P_conv(i,:); q2 = P_conv(i,:) + 0.001*[cos(theta),sin(theta)];
xl = [q1(1),q2(1)]; yl = [q1(2),q2(2)];
[xi,yi] = intsecpl(V(:,1),V(:,2),xl,yl);
%get p1 to lie on the same side as the i-th convex hull point
p1 = [xi(1) yi(1)]; p2 = [xi(2) yi(2)];
p = P_conv(i,:);
if max ( (P - ones(n,1)*p) * (p2 - p1)' ) < max ( (P - ones(n,1)*p) * (p1 - p2)' )
    p1 = [xi(2) yi(2)]; p2 = [xi(1) yi(1)];
end