function subregions = one_cut(V,P)
%makes a one sandwich cut and chooses the one with smallest diameter
m = size(V,1); n = size(P,1); q = floor(n/2);
[V_add,J] = add_points(V);
for i = 1:length(J)
    if J(i) ~= 0
        P_add(i,:) = get_frac_line(V,J(i),1/n);
    else
        P_add(i,:) = get_frac_line(V,V_add(i,:),1/n);
    end
    p1 = V_add(i,:); p2 = P_add(i,:);
    K = lies_to_left(P,p1,p2);
    S(i) = length(K) - 1;
end
F = find(S == 0);
if length(F) == 0
    i = find (S(1:end-1).*S(2:end) < 0);
    if length(i) == 0
        subregions = []; return;
    end
    i = i(1);
    p1 = V_add(i,:); p2 = V_add(i+1,:);
    %refine the search between the two
    [p1,p2] = refine_search_one(V,P,p1,p2);
    [V1,V2,P1,P2] = preprocess(V,P,p1,p2);
    subregions{1,1} = V1;subregions{1,2} = P1; subregions{2,1} = V2; subregions{2,2} = P2;
    return;
end
d = inf;
for i = 1:length(F)
    k = F(i);
    %get the polygon diameter of such a cut
    [V1,V2,P1,P2] = preprocess(V,P,V_add(k,:),P_add(k,:));
    d1 = polygon_diameter(V1); d2 = polygon_diameter(V2);
    if max(d1,d2) < d
        d = max(d1,d2);
        subregions{1,1} = V1;subregions{1,2} = P1; subregions{2,1} = V2; subregions{2,2} = P2;
    end
end