function subregions = preprocess_three(V,P,v,p2,p3,p4)
%PREPROCESS_THREE gets the three subregions and moves v closer to the
%interior
n = size(P,1);
%delete v from P
for i = 1:n
    D(i) = norm( P(i,:) - v); 
end

[y,i] = min(D); P = P([1:(i-1) , (i+1):end], :);

K1 = lies_to_left(V,v,p4);
K2 = lies_to_left(V,p2,v);
K = intersect(K1,K2);
if find(K == 1), K = K(1:end-1); end
V1 = [p2;v;p4; V(K,:); p2];

K1 = lies_to_left(V,v,p2);
K2 = lies_to_left(V,p3,v);
K = intersect(K1,K2);
if find(K == 1), K = K(1:end-1); end
V2 = [p2;V(K,:); p3;v;p2];

K1 = lies_to_left(V,v,p3);
K2 = lies_to_left(V,p4,v);
K = intersect(K1,K2);
if find(K == 1), K = K(1:end-1); end
V3 = [p3;V(K,:); p4;v;p3];

%move v closer to the center of mass
[x0,y0] = centroid(V3(:,1),V3(:,2));
v = v + 0.001*( [x0,y0] - v );

P3 = v;

isin = isinpoly(P(:,1),P(:,2),V1(:,1),V1(:,2)); I = find(isin == 1);
P1 = P(I,:);

isin = isinpoly(P(:,1),P(:,2),V2(:,1),V2(:,2)); I = find(isin == 1);
P2 = P(I,:);

subregions{1,1} = V1; subregions{1,2} = P1;
subregions{2,1} = V2; subregions{2,2} = P2;
subregions{3,1} = V3; subregions{3,2} = P3;