function [p1,p2] = refine_search(V,P,p1,p2);
%given two points p1, p2 that induce a sign change, finds an acceptable
%pair
m = size(V,1); n = size(P,1);
POINTS_PER_EDGE = 20;
LAMBDA = linspace(1,0,POINTS_PER_EDGE+2)'; LAMBDA= [LAMBDA, LAMBDA];
A1 = ones(POINTS_PER_EDGE+2,1)*p1;
A2 = ones(POINTS_PER_EDGE+2,1)*p2;
points_to_check = LAMBDA.*A1 + (1-LAMBDA).*A2; %points_to_check = points_to_check(2:end-1,:);
p1 = 0;
for i = 1:size(points_to_check,1)
    q1 = points_to_check(i,:);
    q2 = get_frac_line(V,q1,0.5);
    %plot([q1(1),q2(1)],[q1(2),q2(2)],'g');
    K = lies_to_left(P,q1,q2);
    S(i) = length(K) - n/2;
    if length(K) == n/2
        p1 = q1;  p2 = q2;
    end
end

if p1 == 0
    i = find (S(1:end-1).*S(2:end) < 0); i = i(1);
    p1 = points_to_check(i,:);
    p2 = points_to_check(i+1,:);
    [p1,p2] = refine_search(V,P,p1,p2);
end